Delete an OAuth token
curl --request DELETE \
--url https://api.planetscale.com/v1/organizations/{organization}/oauth-applications/{application_id}/tokens/{token_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/oauth-applications/{application_id}/tokens/{token_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/oauth-applications/{application_id}/tokens/{token_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
OAuth applications
Delete an OAuth token
Authorization
A service token must have at least one of the following access in order to use this API endpoint:
Service Token Accesses
delete_oauth_tokens
DELETE
/
organizations
/
{organization}
/
oauth-applications
/
{application_id}
/
tokens
/
{token_id}
Delete an OAuth token
This endpoint is deprecated. Please use the new standard OAuth 2.0 revocation endpoint at
POST https://auth.planetscale.com/oauth/revoke instead. See Revoke OAuth token for updated documentation.Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the OAuth application belongs to
The ID of the OAuth application
The ID of the OAuth application token
Response
Deletes an OAuth application's OAuth token
⌘I

